org.jbpm.services.task.impl

## Class TaskDefServiceImpl

- java.lang.Object
- - org.jbpm.services.task.impl.TaskDefServiceImpl

- All Implemented Interfaces:
    org.kie.internal.task.api.TaskDefService

      public class TaskDefServiceImpl
      extends Object
      implements org.kie.internal.task.api.TaskDefService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskDefServiceImpl()`
    `TaskDefServiceImpl(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deployTaskDef(org.kie.internal.task.api.model.TaskDef def)`
    `List<org.kie.internal.task.api.model.TaskDef>` | `getAllTaskDef(String filter)`
    `org.kie.internal.task.api.model.TaskDef` | `getTaskDefById(String name)`
    `void` | `setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`
    `void` | `undeployTaskDef(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskDefServiceImpl

          public TaskDefServiceImpl()

    - #### TaskDefServiceImpl

          public TaskDefServiceImpl(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

  - ### Method Detail

    - #### setPersistenceContext

          public void setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

    - #### deployTaskDef

          public void deployTaskDef(org.kie.internal.task.api.model.TaskDef def)

      Specified by:
        `deployTaskDef` in interface `org.kie.internal.task.api.TaskDefService`

    - #### getAllTaskDef

          public List<org.kie.internal.task.api.model.TaskDef> getAllTaskDef(String filter)

      Specified by:
        `getAllTaskDef` in interface `org.kie.internal.task.api.TaskDefService`

    - #### getTaskDefById

          public org.kie.internal.task.api.model.TaskDef getTaskDefById(String name)

      Specified by:
        `getTaskDefById` in interface `org.kie.internal.task.api.TaskDefService`

    - #### undeployTaskDef

          public void undeployTaskDef(String name)

      Specified by:
        `undeployTaskDef` in interface `org.kie.internal.task.api.TaskDefService`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.